GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
gdcm::BoxRegion Class Reference

Class for manipulation box region This is a very simple implementation of the Region class. It only support 3D box type region. It assumes the 3D Box does not have a tilt Origin is as (0,0,0) More...

`#include <gdcmBoxRegion.h>`

Inheritance diagram for gdcm::BoxRegion:
[legend]
Collaboration diagram for gdcm::BoxRegion:
[legend]

## Public Member Functions

| BoxRegion ()
| BoxRegion (const BoxRegion &)
| copy/cstor and al.
| ~BoxRegion ()
size_t | Area () const
| compute the area
Region * | Clone () const
BoxRegion | ComputeBoundingBox ()
| Return the Axis-Aligned minimum bounding box for all regions.
bool | Empty () const
| return whether this domain is empty:
unsigned int | GetXMax () const
unsigned int | GetXMin () const
| Get domain.
unsigned int | GetYMax () const
unsigned int | GetYMin () const
unsigned int | GetZMax () const
unsigned int | GetZMin () const
bool | IsValid () const
| return whether this is valid domain
void | operator= (const BoxRegion &)
void | Print (std::ostream &os=std::cout) const
| Print.
void | SetDomain (unsigned int xmin, unsigned int xmax, unsigned int ymin, unsigned int ymax, unsigned int zmin, unsigned int zmax)
| Set domain.
Public Member Functions inherited from gdcm::Region
| Region ()
virtual | ~Region ()

## Static Public Member Functions

static BoxRegion | BoundingBox (BoxRegion const &b1, BoxRegion const &b2)
| Helper class to compute the bounding box of two BoxRegion.

## Detailed Description

Class for manipulation box region This is a very simple implementation of the Region class. It only support 3D box type region. It assumes the 3D Box does not have a tilt Origin is as (0,0,0)

## Constructor & Destructor Documentation

gdcm::BoxRegion::BoxRegion | ( |  | ) |

gdcm::BoxRegion::~BoxRegion | ( |  | ) |

gdcm::BoxRegion::BoxRegion | ( | const BoxRegion & |  | ) |

copy/cstor and al.

## Member Function Documentation

size_t gdcm::BoxRegion::Area | ( |  | ) | const

virtual

compute the area

Implements gdcm::Region.

static BoxRegion gdcm::BoxRegion::BoundingBox | ( | BoxRegion const & | b1,
|  | BoxRegion const & | b2
| ) |  |

static

Helper class to compute the bounding box of two BoxRegion.

Region* gdcm::BoxRegion::Clone | ( |  | ) | const

virtual

Implements gdcm::Region.

BoxRegion gdcm::BoxRegion::ComputeBoundingBox | ( |  | ) |

virtual

Return the Axis-Aligned minimum bounding box for all regions.

Implements gdcm::Region.

bool gdcm::BoxRegion::Empty | ( |  | ) | const

virtual

return whether this domain is empty:

Implements gdcm::Region.

unsigned int gdcm::BoxRegion::GetXMax | ( |  | ) | const

unsigned int gdcm::BoxRegion::GetXMin | ( |  | ) | const

Get domain.

unsigned int gdcm::BoxRegion::GetYMax | ( |  | ) | const

unsigned int gdcm::BoxRegion::GetYMin | ( |  | ) | const

unsigned int gdcm::BoxRegion::GetZMax | ( |  | ) | const

unsigned int gdcm::BoxRegion::GetZMin | ( |  | ) | const

bool gdcm::BoxRegion::IsValid | ( |  | ) | const

virtual

return whether this is valid domain

Implements gdcm::Region.

void gdcm::BoxRegion::operator= | ( | const BoxRegion & |  | ) |

void gdcm::BoxRegion::Print | ( | std::ostream & | os = `std::cout` | ) | const

virtual

Print.

Reimplemented from gdcm::Region.

void gdcm::BoxRegion::SetDomain | ( | unsigned int | xmin,
|  | unsigned int | xmax,
|  | unsigned int | ymin,
|  | unsigned int | ymax,
|  | unsigned int | zmin,
|  | unsigned int | zmax
| ) |  |

Set domain.

The documentation for this class was generated from the following file:

- gdcmBoxRegion.h